import { getDayData, getDataAnalysis, getHotCourseData } from '@/api/statistics'
import { getUserInfo, getMemberData } from '@/api/user'
const actions = {
    getBayDataList: (commit, params) => {
        getDayData(params).then(res => {
            const data = res.data
            commit('setBayDataList', data)
        })
    },
    getDataAnalysisList: (commit, params) => {
        getDataAnalysis(params).then(res => {
            const data = res.data
            commit('setDataAnalysisList', data)
        })
    },
    getHotCourseList: (commit, params) => {
        getHotCourseData(params).then(res => {
            const data = res.data
            commit('setHotCourseList', data)
        })
    },
    getPageOption: (commit, params) => {
        getDataAnalysis(params).then(res => {
            const data = res.data
            commit('setPageOption', data)
        })
    },
    getUserInfoList: (commit, params) => {
        return new Promise((resolve, reject) => {
            getUserInfo(params).then(res => {
                const data = res.data
                commit('setUserInfoList', data)
                resolve(data)
            }).catch(error => {
                reject(error)
            })
        })
    },
    getMemberList: (commit, params) => {
        getMemberData(params).then(res => {
            const data = res.data
            commit('setMemberList', data)
        })
    },
}
export default actions