const mutations = {
    setBayDataList: (state, data) => {
        // 新增用户
        const appendUser = data && data.appendUser;
        // 用户
        const uv = data && data.uv;
        // 付费用户
        const vipUv = data && data.vipUv;
        // 累计用户
        const totalUser = data && data.totalUser;
        // 累计付费用户
        const totalVipUser = data && data.totalVipUser;
        const arrDatd = [
            {
                name: '新增用户',
                value: appendUser
            },
            {
                name: '用户数',
                value: uv
            },
            {
                name: '付费用户',
                value: vipUv
            },
            {
                name: '累计用户',
                value: totalUser
            },
            {
                name: '累计付费用户',
                value: totalVipUser
            }
        ]
        state.baydataList = arrDatd
    },
    setDataAnalysisList: (state, data) => {
        const dataDay = [];
        const dataDate = [];
        data.forEach(item => {
            dataDay.push(item.day)
            dataDate.push(item.avgOnlineTime)
        });
        const onlineOption = {
            tooltip: {
                trigger: 'axis',
            },
            xAxis: {
                type: 'category',
                data: dataDay
            },
            yAxis: {
                type: 'value',
                name: '分钟'
            },
            series: [{
                data: dataDate,
                type: 'line',
                itemStyle: {
                    color: '#2BCF82'
                }
            }]
        }
        state.dataAnalysisList = onlineOption
    },
    setHotCourseList: (state, data) => {
        const courseData = []
        const hotcourse = Object.keys(data)
        hotcourse.forEach(key => {
            courseData.push(data[key])
        })
        // 热门课程柱状图
        const hotOption = {
            tooltip: {
                trigger: 'axis',
                axisPointer: {
                    type: 'shadow'
                }
            },
            grid: {
                left: '3%',
                right: '4%',
                bottom: '3%',
                containLabel: true
            },
            xAxis: {
                type: 'value',
                boundaryGap: [0, 0.01],
                name: '次'
            },
            yAxis: {
                type: 'category',
                data: ['语文 一年级 上册', '语文 一年级 下册', '语文 二年级 上册', '语文 二年级 下册', '语文 三年级 上册', '语文 三年级 下册', '语文 四年级 上册', '语文 四年级 下册']
            },
            series: {
                type: 'bar',
                data: courseData,
                barWidth : 18,//柱图宽度
                itemStyle: {
                    color: '#03ABEF'
                }
            }
        }
        state.hotCourseList = hotOption
    },
    setPageOption: (state, data) => {
        const dataDay = [];
        const review = [];
        const prepare = [];
        const schoolStudy = [];
        const wrongQuestions = [];
        const memberRead = [];
        const learnReport = [];
        data.forEach(item => {
            dataDay.push(item.day)
            review.push(item.review)
            prepare.push(item.prepare)
            schoolStudy.push(item.schoolStudy)
            wrongQuestions.push(item.wrongQuestions)
            memberRead.push(item.memberRead)
            learnReport.push(item.learnReport)
        });
        const pageOption =  {
            tooltip: {
                trigger: 'axis'
            },
            legend: {
                data: ['错题本', '配音秀', '学习报告', '课前预习', '学校上课', '复习测试']
            },
            grid: {
                left: '3%',
                right: '4%',
                bottom: '3%',
                containLabel: true
            },
            toolbox: {
                feature: {
                    saveAsImage: {}
                }
            },
            xAxis: {
                type: 'category',
                boundaryGap: false,
                data: dataDay
            },
            yAxis: {
                type: 'value',
                name: '次'
            },
            series: [
                {
                    name: '错题本',
                    type: 'line',
                    stack: '总量',
                    data: wrongQuestions,
                    itemStyle: {
                        color: '#FF900D'
                    }
                },
                {
                    name: '配音秀',
                    type: 'line',
                    stack: '总量',
                    data: memberRead,
                    itemStyle: {
                        color: '#03ABEF'
                    }
                },
                {
                    name: '学习报告',
                    type: 'line',
                    stack: '总量',
                    data: learnReport,
                    itemStyle: {
                        color: '#DC0072'
                    }
                },
                {
                    name: '课前预习',
                    type: 'line',
                    stack: '总量',
                    data: prepare,
                    itemStyle: {
                        color: '#05AC22'
                    }
                },
                {
                    name: '学校上课',
                    type: 'line',
                    stack: '总量',
                    data: schoolStudy,
                    itemStyle: {
                        color: '#C30DFF'
                    }
                },
                {
                    name: '复习测试',
                    type: 'line',
                    stack: '总量',
                    data: review,
                    itemStyle: {
                        color: '#00F2FF'
                    }
                },
            ]
        }
        state.pageOptionData = pageOption
    },
    setUserInfoList: (state, data) => {
        state.userInfoList = data
    },
    setMemberList: (state, data) => {
        const date = []
        const container = []
        data.forEach(item => {
            date.push(item.day)
            container.push(item.memberOnlineTime.timeAcc / 1000 /60)
        })
        const onlineOption = {
            tooltip: {
                trigger: 'axis',
            },
            xAxis: {
                type: 'category',
                data: date
            },
            yAxis: {
                type: 'value',
                name: '分钟'
            },
            series: [{
                data: container,
                type: 'line',
                itemStyle: {
                    color: '#2BCF82'
                }
            }]
        }
        state.memberList = onlineOption

    }
}
export default mutations