import Vue from 'vue'
export default class Store {
    constructor({states, actions, mutations}) {
        this.states = Vue.observable(states || {})
        this.actions = Vue.observable(actions || {})
        this.mutations = Vue.observable(mutations || {})
    }
    commit = (fun, data) => {
        this.mutations[fun](this.states, data)
    }
    dispatch(fun, params) {
        return this.actions[fun](this.commit, params)
    }
}