import axios from 'axios'
import { message  } from 'ant-design-vue'

// create an axios instance
const service = axios.create({
  baseURL: process.env.VUE_APP_BASE_API, // url = base url + request url
  timeout: 5000 // request timeout
})
// response interceptor
service.interceptors.response.use(
  response => {
    const res = response.data
    // if the custom code is not 20000, it is judged as an error.
    if (res.code !== 200) {
      message.error(res.message || 'Error')
      return Promise.reject(res)
    } else {
      return res
    }
  },
  error => {
    console.log('err' + JSON.stringify(error)) // for debug
    message.error(error.message)
    return Promise.reject(error)
  }
)

export default service